Bug 1401935 - Heartbeat failure for workers is not reported as ERROR log line but INFO log line
Summary: Heartbeat failure for workers is not reported as ERROR log line but INFO log ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.6.0
Hardware: x86_64
OS: Linux
low
low
Target Milestone: GA
: 5.7.1
Assignee: Nick Carboni
QA Contact: luke couzens
URL:
Whiteboard: appliance
Depends On: 1392087
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-06 12:33 UTC by Satoe Imaishi
Modified: 2020-08-13 08:44 UTC (History)
11 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1392087
Environment:
Last Closed: 2017-02-27 19:26:27 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-09 17:30:51 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/3fb4e9f2b30cd8a5ee04b880fd2a2b1b47d5cbe2

commit 3fb4e9f2b30cd8a5ee04b880fd2a2b1b47d5cbe2
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Mon Dec 5 13:29:43 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 12:29:29 2017 -0500

    Merge pull request #12889 from carbonin/fix_log_level_for_broker_exit
    
    Use the exit code when stopping the vim broker
    (cherry picked from commit 417e1768d8ada2cbfbc6f1e7eb28c41a6787878a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1401935

 app/models/miq_vim_broker_worker/runner.rb | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Comment 3 luke couzens 2017-01-27 19:07:08 UTC
I was unable to reproduce the exact error line reported above, but I have found the following:

[----] I, [2017-01-27T13:59:11.652053 #3907:4af13c]  INFO -- : MIQ(MiqVimBrokerWorker::Runner#on_miq_vim_removed_event) MIQ(MiqVimBrokerWorker::Runner) Attempting to reconnect broker for EMS with address: [xx.xx.xx.xx] due to error: execution expired

Should this not also be showing as an error?

Comment 4 Nick Carboni 2017-01-31 16:52:31 UTC
That is unrelated to the fix made here.

It looks like that line was specifically made info so that's probably the way it is on purpose.

This only applies to the messages containing "Stopping Broker." and "Draining Event Queue."

Previously these messages were always INFO, after the fix they are dependent on the exit status of the vim broker worker.

Comment 5 luke couzens 2017-02-01 15:55:43 UTC
Verified in 5.7.1

Comment 6 errata-xmlrpc 2017-02-27 19:26:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.